Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.script
Class ScriptedContainerBuilder

    java.lang.Object
      org.nanocontainer.integrationkit.LifecycleContainerBuilder
          org.nanocontainer.script.ScriptedContainerBuilder

All Implemented Interfaces:
  ContainerBuilder

Direct Known Subclasses:
  XMLContainerBuilder, XStreamContainerBuilder

    public abstract class ScriptedContainerBuilder

extends LifecycleContainerBuilder

Base abstract class for script-based container builders based.

Version:
  $Revision: 2164 $
Author:
  Aslak Hellesøy, Obie Fernandez, Mauro Talevi

Constructor Summary
`ScriptedContainerBuilder(Reader script, ClassLoader classLoader)`
`ScriptedContainerBuilder(URL script, ClassLoader classLoader)`

Method Summary
`protected void` | `composeContainer(org.picocontainer.MutablePicoContainer container, Object assemblyScope)`
`protected org.picocontainer.PicoContainer` | `createContainer(org.picocontainer.PicoContainer parentContainer, Object assemblyScope)`
`protected abstract org.picocontainer.PicoContainer` | `createContainerFromScript(org.picocontainer.PicoContainer parentContainer, Object assemblyScope)`
`protected ClassLoader` | `getClassLoader()`
`protected InputStream` | `getScriptInputStream()`
`protected Reader` | `getScriptReader()`

Methods inherited from class org.nanocontainer.integrationkit.LifecycleContainerBuilder
`autoStart, buildContainer, killContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptedContainerBuilder

    public ScriptedContainerBuilder(Reader script,
                                    ClassLoader classLoader)

### ScriptedContainerBuilder

    public ScriptedContainerBuilder(URL script,
                                    ClassLoader classLoader)

Method Detail

### createContainer

    protected final org.picocontainer.PicoContainer createContainer(org.picocontainer.PicoContainer parentContainer,
                                                                    Object assemblyScope)

  Specified by:
    `createContainer` in class `LifecycleContainerBuilder`

### getClassLoader

    protected final ClassLoader getClassLoader()

### getScriptInputStream

    protected final InputStream getScriptInputStream()
                                              throws IOException

  Throws:
    `IOException`

### getScriptReader

    protected final Reader getScriptReader()
                                    throws IOException

  Throws:
    `IOException`

### createContainerFromScript

    protected abstract org.picocontainer.PicoContainer createContainerFromScript(org.picocontainer.PicoContainer parentContainer,
                                                                                 Object assemblyScope)

### composeContainer

    protected void composeContainer(org.picocontainer.MutablePicoContainer container,
                                    Object assemblyScope)

  Specified by:
    `composeContainer` in class `LifecycleContainerBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.